[BACK]Return to configure CVS log [TXT][DIR] Up to [cvsweb.bsd.lv] / mandoc

Diff for /mandoc/configure between version 1.65 and 1.66

version 1.65, 2018/02/27 11:16:23 version 1.66, 2018/07/31 15:34:00
Line 2 
Line 2 
 #  #
 # $Id$  # $Id$
 #  #
 # Copyright (c) 2014, 2015, 2016, 2017 Ingo Schwarze <schwarze@openbsd.org>  # Copyright (c) 2014,2015,2016,2017,2018 Ingo Schwarze <schwarze@openbsd.org>
 #  #
 # Permission to use, copy, modify, and distribute this software for any  # Permission to use, copy, modify, and distribute this software for any
 # purpose with or without fee is hereby granted, provided that the above  # purpose with or without fee is hereby granted, provided that the above
Line 27  set -e
Line 27  set -e
 # 3: config.log  # 3: config.log
   
 exec 3> config.log  exec 3> config.log
 echo "config.log: writing..."  echo "file config.log: writing..."
   
 # --- default settings -------------------------------------------------  # --- default settings -------------------------------------------------
 # Initialize all variables here,  # Initialize all variables here,
Line 41  OSNAME=
Line 41  OSNAME=
 UTF8_LOCALE=  UTF8_LOCALE=
   
 CC=`printf "all:\\n\\t@echo \\\$(CC)\\n" | env -i make -sf -`  CC=`printf "all:\\n\\t@echo \\\$(CC)\\n" | env -i make -sf -`
 CFLAGS="-g -W -Wall -Wmissing-prototypes -Wstrict-prototypes -Wwrite-strings"  CFLAGS=
 CFLAGS="${CFLAGS} -Wno-unused-parameter"  
 LDADD=  LDADD=
 LDFLAGS=  LDFLAGS=
 LD_NANOSLEEP=  LD_NANOSLEEP=
 LD_OHASH=  LD_OHASH=
 LD_RECVMSG=  LD_RECVMSG=
 STATIC="-static"  STATIC=
   
 BUILD_CGI=0  BUILD_CGI=0
 BUILD_CATMAN=0  BUILD_CATMAN=0
Line 127  LN="ln -f"
Line 126  LN="ln -f"
 # --- manual settings from configure.local -----------------------------  # --- manual settings from configure.local -----------------------------
   
 if [ -r ./configure.local ]; then  if [ -r ./configure.local ]; then
         echo "configure.local: reading..." 1>&2          echo "file configure.local: reading..." 1>&2
         echo "configure.local: reading..." 1>&3          echo "file configure.local: reading..." 1>&3
         cat ./configure.local 1>&3          cat ./configure.local 1>&3
         . ./configure.local          . ./configure.local
 else  else
         echo "configure.local: no (fully automatic configuration)" 1>&2          echo "file configure.local: no (fully automatic configuration)" 1>&2
         echo "configure.local: no (fully automatic configuration)" 1>&3          echo "file configure.local: no (fully automatic configuration)" 1>&3
 fi  fi
 echo 1>&3  echo 1>&3
   
 # --- tests for config.h  ----------------------------------------------  # --- tests functions --------------------------------------------------
   
 COMP="${CC} ${CFLAGS} -Wno-unused -Werror"  
   
 # Check whether this HAVE_ setting is manually overridden.  # Check whether this HAVE_ setting is manually overridden.
 # If yes, use the override, if no, do not decide anything yet.  # If yes, use the override, if no, do not decide anything yet.
 # Arguments: lower-case test name, manual value  # Arguments: test file name, test var name, manual value
 ismanual() {  ismanual() {
         [ -z "${3}" ] && return 1          [ -z "${3}" ] && return 1
         echo "${1}: manual (HAVE_${2}=${3})" 1>&2          echo "tested ${1}: HAVE_${2}=${3} (manual)" 1>&2
         echo "${1}: manual (HAVE_${2}=${3})" 1>&3          echo "tested ${1}: HAVE_${2}=${3} (manual)" 1>&3
         echo 1>&3          echo 1>&3
         return 0          return 0
 }  }
Line 155  ismanual() {
Line 152  ismanual() {
 # Run a single autoconfiguration test.  # Run a single autoconfiguration test.
 # In case of success, enable the feature.  # In case of success, enable the feature.
 # In case of failure, do not decide anything yet.  # In case of failure, do not decide anything yet.
 # Arguments: lower-case test name, upper-case test name, additional CFLAGS  # Arguments: test file name, test var name, additional CFLAGS
 singletest() {  singletest() {
         cat 1>&3 << __HEREDOC__          cat 1>&3 << __HEREDOC__
 ${1}${3}: testing...  testing ${1}${3} ...
 ${COMP} -o test-${1} test-${1}.c ${3}  ${COMP} -o test-${1} test-${1}.c ${3}
 __HEREDOC__  __HEREDOC__
   
         if ${COMP} -o "test-${1}" "${SOURCEDIR}/test-${1}.c" ${3} 1>&3 2>&3          if ${COMP} -o "test-${1}" "${SOURCEDIR}/test-${1}.c" ${3} 1>&3 2>&3
         then          then
                 echo "${1}${3}: ${CC} succeeded" 1>&3                  echo "partial result of ${1}${3}: ${CC} succeeded" 1>&3
         else          else
                 echo "${1}${3}: ${CC} failed with $?" 1>&3                  echo "result of ${1}${3}: ${CC} failed with exit status $?" 1>&3
                   echo "result of compiling ${1}${3}: no" 1>&3
                 echo 1>&3                  echo 1>&3
                 return 1                  return 1
         fi          fi
   
         if ./test-${1} 1>&3 2>&3; then          if ./test-${1} 1>&3 2>&3; then
                 echo "${1}${3}: yes" 1>&2                  echo "tested ${1}${3}: yes" 1>&2
                 echo "${1}${3}: yes" 1>&3                  echo "result of running ${1}${3}: yes" 1>&3
                 echo 1>&3                  echo 1>&3
                 eval HAVE_${2}=1                  eval HAVE_${2}=1
                 rm "test-${1}"                  rm "test-${1}"
                 return 0                  return 0
         else          else
                 echo "${1}${3}: execution failed with $?" 1>&3                  echo "result of ${1}${3}: execution failed with exit status $?" 1>&3
                   echo "result of running ${1}${3}: no" 1>&3
                 echo 1>&3                  echo 1>&3
                 rm "test-${1}"                  rm "test-${1}"
                 return 1                  return 1
Line 188  __HEREDOC__
Line 187  __HEREDOC__
   
 # Run a complete autoconfiguration test, including the check for  # Run a complete autoconfiguration test, including the check for
 # a manual override and disabling the feature on failure.  # a manual override and disabling the feature on failure.
 # Arguments: lower case name, upper case name, additional CFLAGS  # Arguments: test file name, test var name, additional CFLAGS
 runtest() {  runtest() {
         eval _manual=\${HAVE_${2}}          eval _manual=\${HAVE_${2}}
         ismanual "${1}" "${2}" "${_manual}" && return 0          ismanual "${1}" "${2}" "${_manual}" && return 0
         singletest "${1}" "${2}" "${3}" && return 0          singletest "${1}" "${2}" "${3}" && return 0
         echo "${1}${3}: no" 1>&2          echo "tested ${1}${3}: no" 1>&2
         eval HAVE_${2}=0          eval HAVE_${2}=0
         return 1          return 1
 }  }
Line 202  runtest() {
Line 201  runtest() {
 get_locale() {  get_locale() {
         [ -n "${HAVE_WCHAR}" ] && [ "${HAVE_WCHAR}" -eq 0 ] && return 0          [ -n "${HAVE_WCHAR}" ] && [ "${HAVE_WCHAR}" -eq 0 ] && return 0
         ismanual UTF8_LOCALE UTF8_LOCALE "$UTF8_LOCALE" && return 0          ismanual UTF8_LOCALE UTF8_LOCALE "$UTF8_LOCALE" && return 0
         echo "UTF8_LOCALE: testing..." 1>&3          echo "testing UTF8_LOCALE ..." 1>&3
         UTF8_LOCALE=`locale -a | grep -i '^en_US\.UTF-*8$' | head -n 1`          UTF8_LOCALE=`locale -a | grep -i '^en_US\.UTF-*8$' | head -n 1`
         if [ -z "${UTF8_LOCALE}" ]; then          if [ -z "${UTF8_LOCALE}" ]; then
                 UTF8_LOCALE=`locale -a | grep -i '\.UTF-*8' | head -n 1`                  UTF8_LOCALE=`locale -a | grep -i '\.UTF-*8' | head -n 1`
                 [ -n "${UTF8_LOCALE}" ] || return 1                  [ -n "${UTF8_LOCALE}" ] || return 1
         fi          fi
         echo "UTF8_LOCALE=${UTF8_LOCALE}" 1>&2          echo "selected UTF8_LOCALE=${UTF8_LOCALE}" 1>&2
         echo "UTF8_LOCALE=${UTF8_LOCALE}" 1>&3          echo "selected UTF8_LOCALE=${UTF8_LOCALE}" 1>&3
         echo 1>&3          echo 1>&3
         return 0;          return 0;
 }  }
   
   # --- compiler options -------------------------------------------------
   
   if [ -n "${CFLAGS}" ]; then
           COMP="${CC} ${CFLAGS}"
           echo "selected CFLAGS=\"${CFLAGS}\" (manual)" 1>&2
           echo "selected CFLAGS=\"${CFLAGS}\" (manual)" 1>&3
           echo 1>&3
   else
           CFLAGS="-g -W -Wall -Wmissing-prototypes -Wstrict-prototypes"
           CFLAGS="${CFLAGS} -Wwrite-strings -Wno-unused-parameter"
           COMP="${CC} ${CFLAGS} -Wno-unused -Werror"
           echo -n "tested ${CC} -W: " 1>&2
           echo -n "testing ${CC} -W: " 1>&3
           runtest noop WFLAG || true
           if [ "${HAVE_WFLAG}" -eq 0 ]; then
                   CFLAGS="-g"
                   COMP="${CC} ${CFLAGS}"
           fi
           echo "selected CFLAGS=\"${CFLAGS}\"" 1>&2
           echo "selected CFLAGS=\"${CFLAGS}\"" 1>&3
           echo 1>&3
   fi
   
   if [ -n "${STATIC}" ]; then
           echo "selected STATIC=\"${STATIC}\" (manual)" 1>&2
           echo "selected STATIC=\"${STATIC}\" (manual)" 1>&3
           echo 1>&3
   else
           runtest noop STATIC -static || true
           [ ${HAVE_STATIC} -eq 0 ] || STATIC="-static"
           echo "selected STATIC=\"${STATIC}\"" 1>&2
           echo "selected STATIC=\"${STATIC}\"" 1>&3
           echo 1>&3
   fi
   
   # --- tests for config.h  ----------------------------------------------
   
 # --- library functions ---  # --- library functions ---
 runtest dirent-namlen   DIRENT_NAMLEN   || true  runtest dirent-namlen   DIRENT_NAMLEN   || true
 runtest be32toh         ENDIAN          || true  runtest be32toh         ENDIAN          || true
Line 266  if get_locale; then
Line 301  if get_locale; then
         runtest wchar WCHAR -DUTF8_LOCALE=\"${UTF8_LOCALE}\" || true          runtest wchar WCHAR -DUTF8_LOCALE=\"${UTF8_LOCALE}\" || true
 else  else
         HAVE_WCHAR=0          HAVE_WCHAR=0
         echo "wchar: no (no UTF8_LOCALE)" 1>&2          echo "tested wchar: no (no UTF8_LOCALE)" 1>&2
         echo "wchar: no (no UTF8_LOCALE)" 1>&3          echo "tested wchar: no (no UTF8_LOCALE)" 1>&3
           echo 1>&3
 fi  fi
   
 # --- nanosleep ---  # --- nanosleep ---
Line 330  fi
Line 366  fi
   
 # --- LDADD ---  # --- LDADD ---
 LDADD="${LDADD} ${LD_NANOSLEEP} ${LD_RECVMSG} ${LD_OHASH} -lz"  LDADD="${LDADD} ${LD_NANOSLEEP} ${LD_RECVMSG} ${LD_OHASH} -lz"
 echo "LDADD=\"${LDADD}\"" 1>&2  echo "selected LDADD=\"${LDADD}\"" 1>&2
 echo "LDADD=\"${LDADD}\"" 1>&3  echo "selected LDADD=\"${LDADD}\"" 1>&3
 echo 1>&3  echo 1>&3
   
 # --- write config.h ---  # --- write config.h ---
Line 468  fi
Line 504  fi
 [ ${HAVE_VASPRINTF} -eq 0 ] && \  [ ${HAVE_VASPRINTF} -eq 0 ] && \
         echo "extern    int       vasprintf(char **, const char *, va_list);"          echo "extern    int       vasprintf(char **, const char *, va_list);"
   
 echo "config.h: written" 1>&2  echo "file config.h: written" 1>&2
 echo "config.h: written" 1>&3  echo "file config.h: written" 1>&3
   
 # --- tests for Makefile.local -----------------------------------------  # --- tests for Makefile.local -----------------------------------------
   
Line 538  INSTALL_DATA = ${INSTALL_DATA}
Line 574  INSTALL_DATA = ${INSTALL_DATA}
 LN              = ${LN}  LN              = ${LN}
 __HEREDOC__  __HEREDOC__
   
 echo "Makefile.local: written" 1>&2  echo "file Makefile.local: written" 1>&2
 echo "Makefile.local: written" 1>&3  echo "file Makefile.local: written" 1>&3
   
 exit 0  exit 0

Legend:
Removed from v.1.65  
changed lines
  Added in v.1.66

CVSweb